Open SCAP Library: cpelang_priv.h File Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
cpelang_priv.h File Reference

Interface to Common Platform Enumeration (CPE) Language. More...

`#include <libxml/xmlreader.h>`
`#include <libxml/xmlwriter.h>`
`#include "cpe_lang.h"`
`#include "../common/util.h"`
`#include "../common/list.h"`
`#include "../common/elements.h"`
`#include "../common/public/oscap.h"`

Go to the source code of this file.

## Data Structures
struct | cpe_testexpr
| CPE language boolean expression. More...

## Functions
struct cpe_lang_model * | cpe_lang_model_parse_xml (const char *file)
| Function for parsing XML CPE language file. More...
struct cpe_lang_model * | cpe_lang_model_parse (xmlTextReaderPtr reader)
| Parse function for CPE Lang model. More...
struct cpe_platform * | cpe_platform_parse (xmlTextReaderPtr reader)
| Parse CPE platform structure. More...
struct cpe_testexpr * | cpe_testexpr_parse (xmlTextReaderPtr reader)
| Parse CPE test expression structure. More...
void | cpe_lang_model_export_xml (const struct cpe_lang_model *spec, const char *file)
| Function for export CPE language model to XML. More...
void | cpe_lang_export (const struct cpe_lang_model *spec, xmlTextWriterPtr writer)
| Function for export CPE language top element. More...
void | cpe_platform_export (const struct cpe_platform *platform, xmlTextWriterPtr writer)
| Function for export CPE platform element. More...
void | cpe_testexpr_export (const struct cpe_testexpr *expr, xmlTextWriterPtr writer)
| Function for export CPE test expression element. More...

## Detailed Description

Interface to Common Platform Enumeration (CPE) Language.

See more details at http://nvd.nist.gov/cpe.cfm

## Function Documentation

void cpe_lang_export | ( | const struct cpe_lang_model * | spec,
|  | xmlTextWriterPtr | writer
| ) |  |

Function for export CPE language top element.

Parameters

  writer | xmlTextWriterPtr structure representing XML model
  spec | CPE language model structure

void cpe_lang_model_export_xml | ( | const struct cpe_lang_model * | spec,
|  | const char * | file
| ) |  |

Function for export CPE language model to XML.

Parameters

  spec | CPE language model structure
  file | filename

struct cpe_lang_model* cpe_lang_model_parse | ( | xmlTextReaderPtr | reader | ) |

Parse function for CPE Lang model.

Parameters

  reader | xmlTextReaderPtr structure representing XML model

struct cpe_lang_model* cpe_lang_model_parse_xml | ( | const char * | file | ) |

Function for parsing XML CPE language file.

Parameters

  file | filename

void cpe_platform_export | ( | const struct cpe_platform * | platform,
|  | xmlTextWriterPtr | writer
| ) |  |

Function for export CPE platform element.

Parameters

  writer | xmlTextWriterPtr structure representing XML model
  platform | CPE platform structure

struct cpe_platform* cpe_platform_parse | ( | xmlTextReaderPtr | reader | ) |

Parse CPE platform structure.

Parameters

  reader | xmlTextReaderPtr structure representing XML model

Returns
  cpe_platform structure with CPE platform item

void cpe_testexpr_export | ( | const struct cpe_testexpr * | expr,
|  | xmlTextWriterPtr | writer
| ) |  |

Function for export CPE test expression element.

Parameters

  writer | xmlTextWriterPtr structure representing XML model
  expr | CPE test expression structure

struct cpe_testexpr* cpe_testexpr_parse | ( | xmlTextReaderPtr | reader | ) |

Parse CPE test expression structure.

Parameters

  reader | xmlTextReaderPtr structure representing XML model

Returns
  cpe_testexpr structure with CPE test expression item